package com.yaohun.aurechargedata.util;

import com.yaohun.aurechargedata.Main;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.configuration.file.FileConfiguration;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

public abstract class UpdataTime {

    /*
    * 获取 每日数据刷新的记录时间
    * 判断是否应该刷新数据
    */
    public static boolean isDayDataUpdata(){
        FileConfiguration yml = Main.plugin.getConfig();
        long dayRecordsTime = yml.getLong("DayTime");
        // 获取上次数据刷新时间
        LocalDate lastUpdateDate = new Date(dayRecordsTime).toInstant().atZone(ZoneId.systemDefault()).toLocalDate();
        // 获取当前日期
        LocalDate currentDate = LocalDate.now();
        if(currentDate.isAfter(lastUpdateDate)) {
            // 如果是次日，更新配置文件中的刷新时间为当前时间
            yml.set("DayTime", System.currentTimeMillis());
            Main.plugin.saveConfig();
            return true;
        }else{
            return false;
        }
    }

    /*
    * 获取 每月数据刷新的记录时间
    * 判断是否应该刷新数据
    * */
    public static boolean isMonthDataUpdata(){
        FileConfiguration yml = Main.plugin.getConfig();
        long monthRecordsTime = yml.getLong("MonthTime");
        // 获取上次数据刷新时间
        LocalDate lastUpdateDate = new Date(monthRecordsTime).toInstant().atZone(ZoneId.systemDefault()).toLocalDate();
        // 获取当前日期和时间
        LocalDate currentDate = LocalDate.now();
        // 判断是否进入了新的一个月
        if (currentDate.getMonthValue() != lastUpdateDate.getMonthValue() || currentDate.getYear() != lastUpdateDate.getYear()) {
            // 如果是新的一个月，更新配置文件中的刷新时间为当前时间
            yml.set("MonthTime", System.currentTimeMillis());
            Main.plugin.saveConfig();
            return true;
        } else {
            return false;
        }
    }
}
